Option Strict On

Imports System
Imports System.Web.UI.WebControls

' -------------------------- Databound Schedule Control ------------------------------
'
' ------------------------------ www.rekenwonder.com ---------------------------------

Namespace rw

    ''' -----------------------------------------------------------------------------
    ''' Project	 : schedule
    ''' Class	 : rw.ScheduleItemEventArgs
    ''' 
    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' The ScheduleItemEventArgs class can be used with the OnItemCreated and
    ''' OnItemDataBound events of the Schedule controls
    ''' </summary>
    Public NotInheritable Class ScheduleItemEventArgs
        Inherits EventArgs

        Private _item As ScheduleItem

        Public Sub New(ByVal item As ScheduleItem)
            Me._item = item
        End Sub

        Public ReadOnly Property Item() As ScheduleItem
            Get
                Return _item
            End Get
        End Property
    End Class

    Public Delegate Sub ScheduleItemEventHandler(ByVal sender As Object, ByVal e As ScheduleItemEventArgs)

End Namespace

