Option Strict On

Imports System
Imports System.Web.UI.WebControls

' -------------------------- Databound Schedule Control v1.6/1.9 -----------------------
'
' ------------------------------ www.rekenwonder.com ---------------------------------

Namespace rw

    ''' -----------------------------------------------------------------------------
    ''' Project	 : schedule
    ''' Class	 : rw.ScheduleItemEventArgs
    ''' 
    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' The ScheduleItemEventArgs class can be used with the OnItemCommand event of the Schedule controls
    ''' </summary>
    Public NotInheritable Class ScheduleCommandEventArgs
        Inherits CommandEventArgs

        Private _item As ScheduleItem
        Private _commandSource As Object

        Public Sub New(ByVal item As ScheduleItem, ByVal commandSource As Object, ByVal originalArgs As CommandEventArgs)
            MyBase.New(originalArgs)
            Me._item = item
            Me._commandSource = commandSource
        End Sub

        Public ReadOnly Property Item() As ScheduleItem
            Get
                Return _item
            End Get
        End Property

        Public ReadOnly Property CommandSource() As Object
            Get
                Return _commandSource
            End Get
        End Property
    End Class

    Public Delegate Sub ScheduleCommandEventHandler(ByVal sender As Object, ByVal e As ScheduleCommandEventArgs)

End Namespace

